import { Pipe, PipeTransform } from '@angular/core';

/**
 * Generated class for the OwnerPipe pipe.
 *
 * See https://angular.io/api/core/Pipe for more info on Angular Pipes.
 */
@Pipe({
  name: 'ownerPipe',
})
export class OwnerPipe implements PipeTransform {
  /**
   * Takes a value and makes it lowercase.
   */
  transform(quedada: any[], myId: string) {
    return quedada.filter((owner) => {
      return owner.createdBy == myId
    } );
  }
}
