
import { Injectable } from '@angular/core';
import { Storage } from '@ionic/storage';



@Injectable()
export class LocalStorageProvider {

  key: string= 'token';
  constructor(public storage: Storage) {
    
  }

  saveToken(token: string){
    return this.storage.set(this.key, JSON.stringify(token));
  }

  getToken(){
    return this.storage.get(this.key);
  }

}
