import { Component, ViewChild  } from '@angular/core';
import { Platform,  Nav, NavController } from 'ionic-angular';
import { StatusBar } from '@ionic-native/status-bar';
import { SplashScreen } from '@ionic-native/splash-screen';
import { Deeplinks } from '@ionic-native/deeplinks';

@Component({
  template: '<ion-nav #myNav [root]="rootPage"></ion-nav>'
})
export class MyApp {
  @ViewChild(Nav) navChild:Nav;
  rootPage:any = 'DashboardPage';
 

  constructor(private platform: Platform, statusBar: StatusBar, splashScreen: SplashScreen, private deeplinks: Deeplinks) {
    this.platform.ready().then(() => {
      statusBar.styleDefault();
      splashScreen.hide();

    });

  
  }

  ngAfterViewInit() {
    this.platform.ready().then(() => {
      // Convenience to route with a given nav
      this.deeplinks.routeWithNavController(this.navChild, {
        ':id': 'DetailsPage'
      }).subscribe((match) => {
        
      }, (nomatch) => {
        
      });
    })
  }

}

